/*
 * SimpleApp Demo
 * 
 * Copyright (c) 2010, CodeRight
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   - Redistributions of source code must retain the above copyright
 *     notice and this list of conditions.
 *   - Redistributions in binary form must reproduce the above
 *     copyright notice and this list of conditions in the 
 *     documentation and/or other materials provided with the 
 *     distribution.
 * 
 * Jazz Desktop Application Framework
 * http://jazz.coderight.nl
 * 
 * Author: Will Boluyt
 */
package nl.coderight.jazz.demo.contact;

import nl.coderight.jazz.demo.domain.Contact;
import nl.coderight.jazz.form.field.selectable.Filter;

public class ContactFilter extends Filter<Contact> {	
	private String value;

	public void setValue(String value) {
		this.value = value;
		notifyFilterChanged();
	}
	
	public boolean accept(Contact contact) {
		if (contact == null || value == null) {
			return true;
		} else {
			return (contact.getLastname().contains(value));
		}
	}

}
