/*
 * SimpleApp Demo
 * 
 * Copyright (c) 2010, CodeRight
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   - Redistributions of source code must retain the above copyright
 *     notice and this list of conditions.
 *   - Redistributions in binary form must reproduce the above
 *     copyright notice and this list of conditions in the 
 *     documentation and/or other materials provided with the 
 *     distribution.
 * 
 * Jazz Desktop Application Framework
 * http://jazz.coderight.nl
 * 
 * Author: Will Boluyt
 */
package nl.coderight.jazz.demo.field;

import nl.coderight.jazz.demo.domain.Address;

import nl.coderight.jazz.form.FormLayout;
import nl.coderight.jazz.form.control.GroupControl;
import nl.coderight.jazz.form.field.TextField;

public class AddressField extends GroupControl<Address> {	
	private TextField streetField;
	private TextField cityField;
	private TextField regionField;
	private TextField postalField;
	
	
	public AddressField(String bindID) {
		setTitle("header.address");
		setBindID(bindID);
		createFields();
		createLayout();
	}

	private void createFields() {
		streetField = new TextField("street", 35);
		streetField.setRequired(true);
		
		cityField = new TextField("city", 20);
		cityField.setRequired(true);
		
		regionField = new TextField("region", 20);
		regionField.setMaxLength(5);
		
		postalField = new TextField("postalcode", 10);
		postalField.setRequired(true);
	}

	private void createLayout() {
		setLayout(new FormLayout())

			.addLabel("label.street")	.addField(streetField)
			.addRow()
			.addLabel("label.city")		.addField(cityField)
			.addRow()
			.addLabel("label.region")	.addField(regionField)
			.addRow()
			.addLabel("label.postal")	.addField(postalField);
		
	}
	
}
