/*
 * SimpleApp Demo
 * 
 * Copyright (c) 2010, CodeRight
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   - Redistributions of source code must retain the above copyright
 *     notice and this list of conditions.
 *   - Redistributions in binary form must reproduce the above
 *     copyright notice and this list of conditions in the 
 *     documentation and/or other materials provided with the 
 *     distribution.
 * 
 * Jazz Desktop Application Framework
 * http://jazz.coderight.nl
 * 
 * Author: Will Boluyt
 */
package nl.coderight.jazz.demo.service;

import java.sql.SQLException;
import java.util.List;

import nl.coderight.jazz.demo.domain.Contact;
import nl.coderight.jazz.demo.ibatis.dao.ContactsDao;

public class DatabaseService {
	private static DatabaseService service;
	private ContactsDao contactsDao;
	
	private DatabaseService() {
		contactsDao = new ContactsDao();
	}
	
	public static DatabaseService getInstance() {
		if (service == null) {
			service = new DatabaseService();
		}
		return service;
	}
	
	public List<Contact> getContacts() throws SQLException {
		return contactsDao.selectContacts();
	}
	
}
