/*
 * SimpleApp Demo
 * 
 * Copyright (c) 2010, CodeRight
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   - Redistributions of source code must retain the above copyright
 *     notice and this list of conditions.
 *   - Redistributions in binary form must reproduce the above
 *     copyright notice and this list of conditions in the 
 *     documentation and/or other materials provided with the 
 *     distribution.
 * 
 * Jazz Desktop Application Framework
 * http://jazz.coderight.nl
 * 
 * Author: Will Boluyt
 */
package nl.coderight.jazz.demo.validation;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import nl.coderight.jazz.form.validation.ValidationException;
import nl.coderight.jazz.form.validation.Validator;

public class EmailValidator implements Validator<String> {	
	private Pattern pattern = Pattern.compile("([-a-zA-Z0-9.]+@[-a-zA-Z0-9.]+)?");

	public void validate(String value) throws ValidationException {
		if (value != null && !"".equals(value.trim())) {
			Matcher matcher = pattern.matcher(value);		
			if (!matcher.matches()) {
				throw new ValidationException("validation.error.email");
			}
		}
	}

}
